Subject: Re: bug#41063: emacs-guix: unrecognized keyword error

From: Ludovic Courtès <[email-masked]>
Date: Tue, 25 Aug 2020 11:50:07 +0200

Hi Michael,

Michael Rohleder <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>>> emacs-guix/actions.scm:118:8: In procedure process-package-actions:
>>> Unrecognized keyword: #:use-substitutes?
>>
>> This probably has to do with this API change:
>>
>>   https://git.savannah.gnu.org/cgit/guix.git/commit/?id=65ffb9388c1c3d870cb07e4cb3ef12c9ac06a161
>>
>> I see it’s already reported upstream:
>>
>>   https://gitlab.com/emacs-guix/emacs-guix/-/issues/18
>
> This is fixed with the latest (gitlab) version:
>
> From 1c58fd7f2de4623bb051e7f8472e703290663e64 Mon Sep 17 00:00:00 2001
> From: Michael Rohleder <[email-masked]>
> Date: Fri, 31 Jul 2020 08:33:43 +0200
> Subject: [PATCH] gnu: emacs-guix: Update to latest gitlab version.
>
> * gnu/packages/emacs-xyz.scm (emacs-guix): Update to a 0.5.2 snapshot.
> fix https://issues.guix.gnu.org/41063
> [source] changes to git-getch.
> [snippet] removed.
> [native-inputs] added tools to build.

It’s perhaps not directly related but there’s still something wrong with
this snapshot.  If I do:

--8<---------------cut here---------------start------------->8---
$ guix describe
Generacio 153   Aug 24 2020 10:53:47    (nuna)
  guix c687299
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: c6872990b51971922f3064cba54ab752fcdc1559
$ guix environment -E ^TERM  --ad-hoc emacs emacs-guix -C -- emacs -nw
--8<---------------cut here---------------end--------------->8---

and from there:

  M-x guix RET p a

I get this error in the Guix REPL:

--8<---------------cut here---------------start------------->8---
Error in evaluating guile expression: ice-9/boot-9.scm:1669:16: In procedure raise-exception:
Unbound variable: %max-returned-list-size

Entering a new prompt.  Type `,bt' for a backtrace or `,q' to continue.
scheme@(emacs-guix) [1]>
--8<---------------cut here---------------end--------------->8---

Does that ring a bell?

Thanks,
Ludo’.